Subject: Re: [PATCH] net: ks8851: Fix another TX stall caused by wrong ISR flag handling

From: Jakub Kicinski <[email-masked]>
Date: Fri, 17 May 2024 12:14:47 -0700

On Mon, 13 May 2024 16:39:22 +0200 Ronald Wahl wrote:
> Under some circumstances it may happen that the ks8851 Ethernet driver
> stops sending data.
> 
> Currently the interrupt handler resets the interrupt status flags in the
> hardware after handling TX. With this approach we may lose interrupts in
> the time window between handling the TX interrupt and resetting the TX
> interrupt status bit.

Thanks! This is commit 317a215d4932 ("net: ks8851: Fix another TX stall
caused by wrong ISR flag handling") in net. Looks like bot didn't respond.